import Vue from 'vue';
import VueRouter from 'vue-router';
import App from 'components/App.vue';
import store from 'store/index.js';
// TODO: consider putting this in a new place
import router from 'router.js';

/**
 * NOTES:
 * Vue.use is for loading vue plugins. It automagically pulls in the components
 * associated as well!
 */
Vue.use(VueRouter);

let vm = new Vue({
    router,
    store,
    render(h) {
        return h(App);
    },
});
vm.$mount('#app');
