import VueRouter from 'vue-router';

// VIEWS
import ScreenDashboard from 'components/views/ScreenDashboard.vue';
import ScreenEvents from 'components/views/ScreenEvents.vue';
import ScreenTrace from 'components/views/ScreenTrace.vue';

const routes = [
    {
        path: '/',
        component: ScreenDashboard,
    },
    {
        // TODO: did this need to be called devices?
        path: '/trace',
        component: ScreenTrace,
    },
    {
        path: '/events',
        component: ScreenEvents,
    },
];

const router = new VueRouter({
    routes,
});

export default router;
