# NetQ GUI

## Prerequisites

- Node.js (version 8.x)
- NPM (version 5.x)
- [Yarn](https://yarnpkg.com/en/docs/install) (version 1.2.x)

## Installation

__NOTE: NPM for netq-gui installation is now deprecated. It will still work, but it is no longer the official way to install this project.__

```
git clone https://<YOUR-USER-NAME>@stash.cumulusnetworks.com/scm/ccc/cts-gui-gen2.git
cd cts-gui-gen2
# pull in project dependencies
yarn
```

## Building

```
yarn run build
```

This will build the project and output compiled assets into the `dist/` directory.


## Development server

```
yarn run dev
```

This will open up a development server at `localhost:8080`.

### Proxy mode

You can connect to a NetQ API server by specifying the devProxyTarget in `secrets.json`:
```
{
  "devProxyTarget": "http://netq.example.com:5000"
}
```

RJM: I'll probably move this over to environment variables eventually, but I flipped a coin and I'm trying a secrets file for now.
