import { mapState } from 'vuex';
import { UPDATE_SEARCHBAR_CONTENTS } from 'store/mutation-types.js';

export default {
    computed: {
        searchbarContents: {
            get() {
                return this.$store.state.searchbarContents;
            },
            set(value) {
                this.$store.commit(UPDATE_SEARCHBAR_CONTENTS, value);
            },
        },
    },
};
